Subject: New Reply Received - Very poor service! Still waiting until today for them to collect damaged item. All I get is a respon...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 06:47:31 +0000

Hi Mohd Adeel Akhter,  The customer has responded to the ticket.  Very poor service! Still waiting until today for them to collect damaged item. All I get is a respon...  Ticket comment <div>Homebox Stores I have heard the word escalated for the last 7 days! It didnt get anywhere until today. 

FYI this request was raised 1st May and followed by numerous follow ups by phone, email and whatsapp.  Still todate, no action. </div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2562278